version: '2.2'
services:

  nginx:
    init: true
    build:
      context: ./nginx
      dockerfile: Dockerfile.dev
    image: registry.yaltik.net/nginx:odoodev
    environment:
      PORT: 80
      NGINX_HOST: localhost 127.0.0.1
      NGINX_PORT: 80
      NGINX_SSL_PORT: 443
      ODOO_SERVICE: odoo
      ODOO_SERVER_NAMES: localodoo odoo ocb

  odoodev:
    extends:
      file: base.yml
      service: odoo
    build:
      context: ./odoo
      dockerfile: Dockerfile.dev
    image: registry.yaltik.net/odoodev:yaltik8
    environment:
      ADMIN_PASSWORD: dev
      LIST_DB: "True"
      DB_MAXCONN: 20
      WORKERS: 2
      LIMIT_TIME_CPU: 3000
      LIMIT_TIME_REAL: 6000
      DEV: 1
      PROXY_MODE: "False"

  odoodev10:
    extends:
      file: base.yml
      service: odoo10
    build:
      context: ./odoo
      dockerfile: Dockerfile.10.dev
    image: registry.yaltik.net/odoodev:yaltik10
    environment:
      DEV: 1
      ADMIN_PASSWORD: dev
      LIST_DB: "True"
      DB_MAXCONN: 20
      WORKERS: 2
      LIMIT_TIME_CPU: 3000
      LIMIT_TIME_REAL: 6000
      LIMIT_MEMORY_SOFT: 7000000000
      LIMIT_MEMORY_HARD: 16000000000

  openupgrade9:
    init: true
    build:
      context: ./odoo
      dockerfile: Dockerfile.openupgrade.9
    image: registry.yaltik.net/odoodev:yaltikopenupgrade9
    environment:
      DB_MAXCONN: 20
      XMLRPC_PORT: 8069
      LONGPOLLING_PORT: 8072
      WORKERS: 2
      LIMIT_TIME_CPU: 3000
      LIMIT_TIME_REAL: 6000
      ADMIN_PASSWORD: dev
      LIST_DB: "True"
      POSTGRES_USER: odoo
      POSTGRES_PASSWORD: somethingToChange

  openupgrade10:
    init: true
    build:
      context: ./odoo
      dockerfile: Dockerfile.openupgrade.10
    image: registry.yaltik.net/odoodev:yaltikopenupgrade10
    environment:
      DB_MAXCONN: 20
      XMLRPC_PORT: 8069
      LONGPOLLING_PORT: 8072
      WORKERS: 2
      LIMIT_TIME_CPU: 3000
      LIMIT_TIME_REAL: 6000
      ADMIN_PASSWORD: dev
      LIST_DB: "True"
      POSTGRES_USER: odoo
      POSTGRES_PASSWORD: somethingToChange
